curl --request GET \
--url https://dev.sbx.imprint.co/v2/transactions/{transaction_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://dev.sbx.imprint.co/v2/transactions/{transaction_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://dev.sbx.imprint.co/v2/transactions/{transaction_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "E777214A-2D11-4CAD-9E8F-E1BD71D9FE67",
"customer_id": "9B5E1EE0-2E1C-46E7-81B9-3C3917204BE4",
"payment_method_id": "DCBFC736-2286-42DD-897D-160DCA80AED2",
"amount": 123,
"currency": "USD",
"status": "APPROVED",
"network_transaction_id": "<string>",
"created_at": "2025-02-13T19:08:07.000Z",
"intent_id": "5B30532B-5B5B-4826-8DE2-429C57B705FD",
"authorization_code": "ABCD",
"purchase_method": "CHIP",
"partner_transaction_id": "<string>",
"updated_at": "2025-02-13T19:08:07.000Z",
"merchant": {
"network_id": "234923454545",
"name": "Target",
"category": "Grocery Stores",
"category_code": "5411",
"address": {
"street_line1": "123 Main St",
"street_line2": "Apt 4B",
"city": "San Francisco",
"state": "CA",
"postal_code": "94105",
"country": "USA"
}
},
"metadata": {
"platform_version": "2.1.0"
}
}{
"type": "TRANSACTION_FOUND_ERROR",
"message": "Transaction intent not found for provided ID: txn_123",
"param": "transaction_id"
}Retrieve a transaction
Retrieves the details of an existing transaction by id
Authorizations
Basic HTTP authentication. Allowed headers-- Authorization: Basic <base64(api_key_id:api_key_secret)>
Path Parameters
The unique identifier for the transaction
"4E6FE207-53E5-4EC0-BF51-5923BE5CEE2F"
Response
Transaction retrieved successfully
"E777214A-2D11-4CAD-9E8F-E1BD71D9FE67"
The imprint customer ID for the transaction
"9B5E1EE0-2E1C-46E7-81B9-3C3917204BE4"
Identifies the payment method used for the transaction
"DCBFC736-2286-42DD-897D-160DCA80AED2"
Transaction amount in min units.
The 3-character currency code of the amount in ISO 4217 format (e.g., "USD")
"USD"
APPROVED, UPDATED, VOIDED, CAPTURED, REFUNDED "APPROVED"
The network's unique identifier for the transaction. Examples include Visa Transaction ID, Mastercard Trace ID, and American Express Network Reference ID
the RFC-3339 timestamp when the transaction was created
"2025-02-13T19:08:07.000Z"
Reference to the original transaction intent
"5B30532B-5B5B-4826-8DE2-429C57B705FD"
Code authorizing the transaction.
"ABCD"
How the purchase was completed.
CHIP, CONTACTLESS, KEYEDIN, ONLINE, SWIPE, QRCODE, OCR, UNKNOWN "CHIP"
The partner's unique transaction id
the RFC-3339 timestamp when the transaction was last updated
"2025-02-13T19:08:07.000Z"
Show child attributes
Show child attributes
{ "platform_version": "2.1.0" }